Package wx :: Class Listbook

[frames | no frames]

## Type Listbook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                  BookCtrlBase --+
                                 |
                                Listbook

Proxy of C++ Listbook class

Method Summary
Listbook | `__init__(self, parent, id, pos, size, style, name)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
ListView | `GetListView(self)`

Property Summary
| `ListView`: See `GetListView`
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=0, name=EmptyString)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Property Details

### ListView

See `GetListView`

  Get Method:
    `GetListView`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:52 2007 | http://epydoc.sf.net